> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Overview

The Account Application is used to make the final submission when applying to open a new account.

Each Account Application that you create requires the inclusion of the IDs of the relevant [Account Product](/reference/account-product), [Business Application](/reference/business-application), [Person Application(s)](/reference/person-application), and [Deposit objects](/reference/deposit).

Both consumer and commercial account applications are submitted via this endpoint. The shape of each varies slightly.

<Info>
  The `person_applications` parameter is only required for consumer accounts; a similar parameter is available on the [Business Application object](/reference/business-application) for commercial accounts.
</Info>

**Example Consumer Account Application Request**

<CodeGroup>
  ```bash bash theme={null}
  curl -u $API_KEY_ID:$API_SECRET_KEY https://api.treasuryprime.com/apply/account_application \
      -H 'Content-Type: application/json' \
      -d '{
            "deposit_id": "adpt_01d5w6xx0tvs",
            "person_applications": [
              {
                "id": "apsn_01d5w6yaa6vt",
                "roles": ["owner", "signer"]
              }
            ],
            "primary_person_application_id": "apsn_01d5w6yaa6vt",
            "account_product_id": "apt_11gqk87qmrax"
          }'
  ```
</CodeGroup>

**Example Commercial Account Application Request**

<CodeGroup>
  ```bash bash theme={null}
  curl -u $API_KEY_ID:$API_SECRET_KEY https://api.treasuryprime.com/apply/account_application \
      -H 'Content-Type: application/json' \
      -d '{
            "deposit_id": "adpt_01d5wgg8js",
            "business_application_id": "abus_01dcrqkr3yhw",
            "primary_person_application_id": "apsn_01d5w6yaa6vt",
            "account_product_id": "apt_11gqk87qmrax"
          }'
  ```
</CodeGroup>
